highp vec4 blur(sampler2D t, highp vec2 uv)
{
   highp vec4 sum = texture(t, uv);
   sum += textureOffset(t, uv, ivec2(-1, -1));
   sum += textureOffset(t, uv, ivec2(-1,  0));
   sum += textureOffset(t, uv, ivec2(-1,  1));
   sum += textureOffset(t, uv, ivec2( 0, -1));
   sum += textureOffset(t, uv, ivec2( 0,  1));
   sum += textureOffset(t, uv, ivec2( 1, -1));
   sum += textureOffset(t, uv, ivec2( 1,  0));
   sum += textureOffset(t, uv, ivec2( 1,  1));
   return sum / vec4(9.0);
}
